National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2014-3095 Detail

Description

The SQL engine in IBM DB2 9.5 through FP10, 9.7 through FP9a, 9.8 through FP5, 10.1 through FP4, and 10.5 before FP4 on Linux, UNIX, and Windows allows remote authenticated users to cause a denial of service (daemon crash) via a crafted UNION clause in a subquery of a SELECT statement.

Source:  MITRE
Description Last Modified:  09/04/2014

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 3.5 LOW
Vector: (AV:N/AC:M/Au:S/C:N/I:N/A:P) (V2 legend)
Impact Subscore: 2.9
Exploitability Subscore: 6.8


Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (AU): Single
Confidentiality (C): None
Integrity (I): None
Availability (A): Partial
Additional Information:
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://secunia.com/advisories/58725
http://www.securityfocus.com/bid/69546
http://www-01.ibm.com/support/docview.wss?uid=swg1IT02433 Vendor Advisory
http://www-01.ibm.com/support/docview.wss?uid=swg1IT02643
http://www-01.ibm.com/support/docview.wss?uid=swg1IT02644
http://www-01.ibm.com/support/docview.wss?uid=swg1IT02645
http://www-01.ibm.com/support/docview.wss?uid=swg1IT02646
http://www-01.ibm.com/support/docview.wss?uid=swg21681623 Patch Vendor Advisory
http://www-01.ibm.com/support/docview.wss?uid=swg21683297
https://exchange.xforce.ibmcloud.com/vulnerabilities/94263

Technical Details

Vulnerability Type (View All)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
AND
OR
cpe:2.3:a:ibm:db2:9.5:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.5.0.1:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.5.0.2:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.5.0.2:a:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.5.0.3:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.5.0.3:a:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.5.0.3:b:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.5.0.4:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.5.0.4:a:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.5.0.5:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.5.0.6:a:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.5.0.7:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.5.0.8:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.5.0.9:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.5.0.10:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.1:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.2:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.3:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.4:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.5:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.6:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.7:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.8:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.9:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.7.0.9:a:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.8:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.8.0.3:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.8.0.4:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:9.8.0.5:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.1:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.1.0.1:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.1.0.2:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.1.0.3:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.1.0.3:a:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.1.0.4:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.5:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.5.0.1:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.5.0.2:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.5.0.3:*:*:*:*:*:*:*
cpe:2.3:a:ibm:db2:10.5.0.3:a:*:*:*:*:*:*
OR
cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:*
cpe:2.3:o:microsoft:windows:*:*:*:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

3 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2014-3095
NVD Published Date:
09/04/2014
NVD Last Modified:
08/28/2017